summaryrefslogtreecommitdiff
path: root/libre/parabolaweb-utils
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2013-07-16 22:22:50 -0600
committerLuke Shumaker <LukeShu@sbcglobal.net>2013-07-16 22:25:40 -0600
commit93a4a22a36809aa0371b414e360ecdf1f6a79c48 (patch)
treee9ef81754d0698815fd5530618fe286000f9895f /libre/parabolaweb-utils
parent33a03f53dfc38d5d2e68dc429573098afb3ba456 (diff)
update libre/parabolaweb-utils
Diffstat (limited to 'libre/parabolaweb-utils')
-rw-r--r--libre/parabolaweb-utils/PKGBUILD43
-rw-r--r--libre/parabolaweb-utils/helper.sh25
-rw-r--r--libre/parabolaweb-utils/parabolaweb-download47
-rw-r--r--libre/parabolaweb-utils/parabolaweb-fcgi12
-rw-r--r--libre/parabolaweb-utils/parabolaweb-update86
-rw-r--r--libre/parabolaweb-utils/parabolaweb.conf6
-rw-r--r--libre/parabolaweb-utils/parabolaweb.rc44
-rw-r--r--libre/parabolaweb-utils/parabolaweb.service13
8 files changed, 18 insertions, 258 deletions
diff --git a/libre/parabolaweb-utils/PKGBUILD b/libre/parabolaweb-utils/PKGBUILD
index 2ab0c142e..5a6354fe5 100644
--- a/libre/parabolaweb-utils/PKGBUILD
+++ b/libre/parabolaweb-utils/PKGBUILD
@@ -1,12 +1,7 @@
# Maintainer: Luke Shumaker <lukeshu@sbcglobal.net>
-. "${startdir:-.}/helper.sh"
-# provides:
-# _get_depends
-# _get_depends_nover (no version requirements)
-
-pkgname=parabolaweb-utils
-pkgver=20130714
+pkgname=(parabolaweb-utils parabolaweb-dev)
+pkgver=20130716
pkgdesc="Utilities for managing the parabolaweb website application"
url="https://projects.parabolagnulinux.org/packages/parabolaweb-utils.git/"
license=('GPL2')
@@ -14,27 +9,25 @@ license=('GPL2')
pkgrel=1
epoch=1
arch=('any')
-backup=('etc/conf.d/parabolaweb')
-if [[ -z $NODEPENDS ]]; then
- list_depends="${srcdir:-src}/$pkgname-$pkgver/list-depends"
- if ! [[ -f $list_depends ]]; then
- NODEPENDS=true makepkg -o
- fi
- depends=($(
- cd "${list_depends%/*}"
- bash "${list_depends##*/}"
- ))
-fi
source=("https://projects.parabolagnulinux.org/packages/$pkgname.git/snapshot/$pkgname-$pkgver.tar.bz2")
-package() {
+build() {
cd "$srcdir/$pkgname-$pkgver"
- install -Dm755 parabolaweb-update "${pkgdir}/usr/sbin/parabolaweb-update"
- install -Dm755 parabolaweb-fcgi "${pkgdir}/usr/sbin/parabolaweb-fcgi"
- install -Dm755 parabolaweb.rc "${pkgdir}/etc/rc.d/parabolaweb"
- install -Dm644 parabolaweb.service "${pkgdir}/usr/lib/systemd/system/parabolaweb.service"
- install -Dm644 parabolaweb.conf "${pkgdir}/etc/conf.d/parabolaweb"
+ make
+}
+
+package_parabolaweb-utils() {
+ cd "$srcdir/$pkgbase-$pkgver"
+ depends=($(cat depends.txt))
+ backup=('etc/conf.d/parabolaweb')
+ make install DESTDIR="$pkgdir"
+}
+
+package_parabolaweb-dev() {
+ cd "$srcdir/$pkgbase-$pkgver"
+ pkgdesc="Depends on packages needed to develop parabolaweb"
+ depends=($(sed -r -e 's/\s*#.*//' depends_make.txt))
}
-md5sums=('1c09dd63340cda8bb9ac12273a3b9008')
+md5sums=('059c0a83a3c58ccffe99edd57d984337')
diff --git a/libre/parabolaweb-utils/helper.sh b/libre/parabolaweb-utils/helper.sh
deleted file mode 100644
index ce8638e7e..000000000
--- a/libre/parabolaweb-utils/helper.sh
+++ /dev/null
@@ -1,25 +0,0 @@
-_mksource() {
- pushd "${startdir:-.}" >/dev/null
- if [[ -z $_DO_NOT_RUN_MKSOURCE && $0 =~ ^makepkg ]]; then
- local flags=(-o)
- (( EUID )) || flags+=(--asroot)
- _DO_NOT_RUN_MKSOURCE=true "${0}" "${flags[@]}"
- fi
- popd >/dev/null
-}
-
-_get_depends() {
- _mksource 1>&2
- if [[ -f "${srcdir:-${startdir:-.}/src}/parabolaweb/requirements_prod.txt" ]]; then
- pushd "${srcdir:-src}" >/dev/null
- < parabolaweb/requirements_prod.txt sed -r \
- -e 's/.*/\L&/' -e 's/==/>=/' \
- -e 's/^(python2?-)?/python2-/' \
- -e 's/python2-django/django/'
- popd >/dev/null
- fi
-}
-
-_get_depends_nover() {
- _get_depends | sed 's/[<>=].*//'
-}
diff --git a/libre/parabolaweb-utils/parabolaweb-download b/libre/parabolaweb-utils/parabolaweb-download
deleted file mode 100644
index e124295d4..000000000
--- a/libre/parabolaweb-utils/parabolaweb-download
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/bash
-
-. /etc/conf.d/parabolaweb
-. /usr/bin/libremessages
-
-dir=$WEBDIR
-repo=$GITURL
-ref=$GITREF
-
-cd_safe() {
- if ! cd "$1"; then
- error "$(gettext "Failed to change to directory %s")" "$1"
- plain "$(gettext "Aborting...")"
- exit 1
- fi
-}
-
-download_git() {
- if [[ ! -d "$dir/.git" ]] ; then
- msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "git"
- if ! git clone "$repo" "$dir"; then
- error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "git"
- plain "$(gettext "Aborting...")"
- exit 1
- fi
- else
- cd_safe "$dir"
- # Make sure we are fetching the right repo
- if [[ "$repo" != "$(git config --get remote.origin.url)" ]] ; then
- error "$(gettext "%s is not a clone of %s")" "$dir" "$repo"
- plain "$(gettext "Aborting...")"
- exit 1
- fi
- msg2 "$(gettext "Updating %s %s repo...")" "${repo}" "git"
- if ! git pull origin "$ref"; then
- # only warn on failure to allow offline builds
- warning "$(gettext "Failure while updating %s %s repo")" "${repo}" "git"
- fi
- fi
-}
-
-main() {
- [[ -d "${dir%/*}" ]] || mkdir -p "${dir%/*}"
- download_git
-}
-
-main "$@"
diff --git a/libre/parabolaweb-utils/parabolaweb-fcgi b/libre/parabolaweb-utils/parabolaweb-fcgi
deleted file mode 100644
index e42aec3cd..000000000
--- a/libre/parabolaweb-utils/parabolaweb-fcgi
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-set -e
-
-. /etc/conf.d/parabolaweb
-
-[[ -e ${WEBDIR}/manage.py ]]
-
-sudo -u "${WEBUSER:-$USER}" python2 "${WEBDIR}/manage.py" runfcgi \
- host=${HOST} \
- port=${PORT} \
- --settings=settings \
- "$@"
diff --git a/libre/parabolaweb-utils/parabolaweb-update b/libre/parabolaweb-utils/parabolaweb-update
deleted file mode 100644
index 2da9eea8a..000000000
--- a/libre/parabolaweb-utils/parabolaweb-update
+++ /dev/null
@@ -1,86 +0,0 @@
-#!/bin/bash
-set -e
-
-. /etc/conf.d/parabolaweb
-. /usr/bin/libremessages
-
-find_makefiles() {
- pushd "$WEBDIR" > /dev/null
- echo ./sitestatic
- find . -name static -type d | while read dir; do
- if [[ -e "$WEBDIR/$dir/Makefile" ]]; then
- printf '%s\n' "$dir"
- fi
- done
-}
-
-clean() {
- cd "$WEBDIR"
- msg "Purging old .pyc files..."
- find . -name '*.pyc' -delete
- msg "Purging old GNU Make generated files..."
- for dir in `find_makefiles`; do
- make -C "$WEBDIR/$dir" clean
- done
-}
-
-configure() {
- cd "$WEBDIR"
- msg "Checking configuration..."
- if [[ ! -f local_settings.py ]]; then
- msg2 "Configuration file missing, opening editor..."
- cp local_settings.py.example local_settings.tmp.$$.py
- if "$EDITOR" local_settings.tmp.$$.py; then
- mv local_settings.tmp.$$.py local_settings.py
- else
- rm local_settings.tmp.$$.py
- msg "Failed to configure, exiting"
- exit 1
- fi
- msg2 "Creating database..."
- ./manage.py syncdb
- else
- msg2 "Current configuration checks out"
- fi
-}
-
-update-database() {
- cd "$WEBDIR"
- msg "Updating database..."
- msg2 "Running migrations..."
- ./manage.py migrate
- if [[ -f devel/management/commands/update_types_permissions.py ]]; then
- msg2 "Updating permissions..."
- ./manage.py update_types_permissions
- fi
- msg2 "Loading fixtures..."
- ./manage.py loaddata */fixtures/*.json
-}
-
-update-filesystem() {
- msg "Updating filesystem..."
- for dir in `find_makefiles`; do
- msg2 "Updating $dir with GNU Make..."
- make -C "$WEBDIR/$dir"
- done
- cd "$WEBDIR"
- msg2 "Collecting static files..."
- echo yes | ./manage.py collectstatic -l
-}
-
-main() {
- if [[ -z "$EDITOR" ]]; then
- error 'Please set the $EDITOR variable'
- exit 1
- fi
-
- if [[ -d "$WEBDIR" ]]; then
- clean
- fi
- parabolaweb-download
- configure
- update-database
- update-filesystem
-}
-
-main "$@"
diff --git a/libre/parabolaweb-utils/parabolaweb.conf b/libre/parabolaweb-utils/parabolaweb.conf
deleted file mode 100644
index 5363479b3..000000000
--- a/libre/parabolaweb-utils/parabolaweb.conf
+++ /dev/null
@@ -1,6 +0,0 @@
-HOST=127.0.0.1
-PORT=8090 # 80 is nginx
-WEBDIR=/srv/http/web
-WEBUSER=nobody
-GITURL=git://parabolagnulinux.org/parabolaweb.git
-GITREF=master
diff --git a/libre/parabolaweb-utils/parabolaweb.rc b/libre/parabolaweb-utils/parabolaweb.rc
deleted file mode 100644
index 5e310b01d..000000000
--- a/libre/parabolaweb-utils/parabolaweb.rc
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-PIDFILE=/run/web/parabolaweb.pid
-
-case $1 in
-start)
- stat_busy "Starting ParabolaWeb"
- install -dm777 ${PIDFILE%/*}
- if parabolaweb-fcgi pidfile=${PIDFILE}; then
- add_daemon parabolaweb
- stat_done
- exit 0
- else
- stat_fail
- exit 1
- fi
- ;;
-
-stop)
- stat_busy "Stopping ParabolaWeb"
- if [[ -f ${PIDFILE} ]]; then
- pid=$(cat ${PIDFILE})
- kill ${pid}
- rm_daemon parabolaweb
- stat_done
- else
- stat_fail
- exit 1
- fi
- ;;
-
-restart)
- $0 stop
- $0 start
- ;;
-
-*)
- echo "Usage: $0 {start|stop|restart}" >&2
- exit 1
-
-esac
diff --git a/libre/parabolaweb-utils/parabolaweb.service b/libre/parabolaweb-utils/parabolaweb.service
deleted file mode 100644
index a59d58512..000000000
--- a/libre/parabolaweb-utils/parabolaweb.service
+++ /dev/null
@@ -1,13 +0,0 @@
-[Unit]
-Requires=postgresql.service
-After=postgresql.service
-Description=ParabolaWeb
-
-[Service]
-Type=forking
-PIDFile=/run/web/parabolaweb.pid
-ExecStartPre=/usr/bin/install -dm777 /run/web
-ExecStart=/usr/sbin/parabolaweb-fcgi pidfile=/run/web/parabolaweb.pid
-
-[Install]
-WantedBy=multi-user.target